Bug 1827 - [UPDATE REQUEST] python-distribute
: [UPDATE REQUEST] python-distribute
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-24 22:03 MSK by Denis Silakov
Modified: 2013-03-28 12:07 MSK (History)
2 users (show)

See Also:
RPM Package: python-distribute
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-03-24 22:03:16 MSK
This is an update request for python-distribute; we need a python3 variant of this module.

There is also a newer upstream version - 0.6.35, we currently use 0.6.28. There were quite a few of bug fixes since then:

https://pypi.python.org/pypi/distribute#changes

And the important thing is that 0.6.35 is backward compatible with 0.6.23-34 in how it parses version numbers, so the update should be safe.
Comment 1 Denis Silakov 2013-03-24 22:04:12 MSK
Advisory:

Updated python-distribute to 0.6.35, added python3 module.

Build lists:
https://abf.rosalinux.ru/build_lists/1037502
https://abf.rosalinux.ru/build_lists/1037501
Comment 2 Denis Silakov 2013-03-26 10:36:02 MSK
Br, wait, I've made a mistake in python3 package name...
Comment 3 Denis Silakov 2013-03-26 10:45:14 MSK
Advisory:

Updated python-distribute to 0.6.35, added python3 module.

Here are the new build lists:

https://abf.rosalinux.ru/build_lists/1042506
https://abf.rosalinux.ru/build_lists/1042507
Comment 4 Vladimir Potapov 2013-03-27 17:47:12 MSK
python3-distribute-0.6.35-3-rosa2012.1
python-distribute-0.6.35-3-rosa2012.1
********************** Advisory ***********************
Updated python-distribute to 0.6.35, added python3 module.
*******************************************************
QA Verified